org.optaplanner.core.impl.partitionedsearch.scope

## Class PartitionedSearchPhaseScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractPhaseScope<Solution_>
  - - org.optaplanner.core.impl.partitionedsearch.scope.PartitionedSearchPhaseScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class PartitionedSearchPhaseScope<Solution_>
      extends AbstractPhaseScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `bestSolutionStepIndex, childThreadsScoreCalculationCount, endingScoreCalculationCount, endingSystemTimeMillis, logger, solverScope, startingScore, startingScoreCalculationCount, startingSystemTimeMillis`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionedSearchPhaseScope(DefaultSolverScope<Solution_> solverScope)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartitionedSearchStepScope<Solution_>` | `getLastCompletedStepScope()`
    `Integer` | `getPartCount()`
    `void` | `setLastCompletedStepScope(PartitionedSearchStepScope<Solution_> lastCompletedStepScope)`
    `void` | `setPartCount(Integer partCount)`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `addChildThreadsScoreCalculationCount, assertExpectedWorkingScore, assertPredictedScoreFromScratch, assertShadowVariablesAreNotStale, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpentUpToNow, calculateScore, calculateSolverTimeMillisSpentUpToNow, endingNow, getBestScore, getBestSolutionStepIndex, getEndingSystemTimeMillis, getNextStepIndex, getPhaseBestSolutionTimeMillis, getPhaseScoreCalculationCount, getPhaseScoreCalculationSpeed, getPhaseTimeMillisSpent, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, startingNow, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionedSearchPhaseScope

          public PartitionedSearchPhaseScope(DefaultSolverScope<Solution_> solverScope)

  - ### Method Detail

    - #### getPartCount

          public Integer getPartCount()

    - #### setPartCount

          public void setPartCount(Integer partCount)

    - #### getLastCompletedStepScope

          public PartitionedSearchStepScope<Solution_> getLastCompletedStepScope()

      Specified by:
        `getLastCompletedStepScope` in class `AbstractPhaseScope<Solution_>`

    - #### setLastCompletedStepScope

          public void setLastCompletedStepScope(PartitionedSearchStepScope<Solution_> lastCompletedStepScope)

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.